Top-up
1 API call in this section.
Endpoints for managing wallet top-up operations.
Top-up Wallet
/wallets/topupInitiates a wallet top-up payment. The API does not accept or return a currency field; the frontend displays currency from tenant configuration.
Requires Bearer Token authentication:
Authorization: Bearer {{access_token}}
Field Descriptions
amount(number, required): Amount to add. Must be a positive number with min value 0.01.payment_method_type_id(string, required): Payment method type id.back_ref(string, optional): Return URL/reference for gateway flow.description(string, optional): Description metadata.
Query parameters
| Parameter | Type | Description |
|---|---|---|
languageOptional | string | Language code for response localization (Optional, default: en) (string, optional): Language code for localized response messages (default: en) Example: |
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Content-Type | string | Example: |
Body parameters
| Parameter | Type | Description |
|---|---|---|
amount | number | — |
payment_method_type_id | string | — |
back_ref | string | — |
description | string | — |
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/wallets/topup?language=en" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3 --header "Content-Type: application/json" \4 --data-raw '{5 "amount": 100,6 "payment_method_type_id": "uuid",7 "back_ref": "https://your-site/return",8 "description": "Adding funds to wallet"9}'Response examples
1{2 "success": true,3 "payment": {4 "payment_id": "550e8400-e29b-41d4-a716-446655440000",5 "status": "PENDING",6 "payment_url": "https://gateway.example/redirect"7 }8}